//---------------------------------------------------------------------------

#include <vcl.h>
#include <iostream>
#include <queue>

#include <conio.h>   //  getch()

#pragma hdrstop

//---------------------------------------------------------------------------

#pragma argsused
using namespace std;

std::string ToRus(const std::string &in)
{
  char *buff = new char [in.length()+1];
  CharToOem(in.c_str(),buff);
  std::string out(buff);
  delete [] buff;
  return out;
}

int main()
{

  priority_queue<float> q;

  //      
  q.push(66.6);
  q.push(22.2);
  q.push(44.4);

  //     
  cout << ToRus("      : \n");
  cout << q.top() << ' ';
  q.pop();
  cout << q.top() << endl;
  q.pop();

  //    
  q.push(11.1);
  q.push(55.5);
  q.push(33.3);

  //   
  q.pop();

  //     
  cout << ToRus("    : \n");
  while (!q.empty()) {
      cout << q.top() << ' ';
      q.pop();
  }
  cout << endl;


  getch();
  return 0;
}

//---------------------------------------------------------------------------